package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.List;

@JsonSerialize
@ApiModel(description = "业务组件批量操作")
public class MdBusComCopyDto {
    /**
     * 目标目录id<br>
     */
    @ApiModelProperty("目标目录id")
    private String treeId;

    /**
     * 被复制的业务组件ids<br>
     */
    @ApiModelProperty("批量操作的的业务组件ids")
    private List<String> ids;

    /**
     * 系统空间<br>
     */
    @ApiModelProperty("系统空间")
    private String projectId;

    /**
     * 共享标识0-未共享，1-已共享<br>
     */
    @ApiModelProperty("共享标识0-未共享，1-已共享")
    private Integer sharedFlag;
    /**
     * 负责人id<br>
     */
    @ApiModelProperty("负责人id")
    @Size(max = 32, message="负责人id-principalId: 数据长度不能 > 32" )
    private String principalId;
    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getSharedFlag() {
        return sharedFlag;
    }

    public void setSharedFlag(Integer sharedFlag) {
        this.sharedFlag = sharedFlag;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }
}
